# PnConvertByteToString

## Introduction
Moduł `PnConvertByteToString` to Helper dla widoku.

Kod zastosowany w module pochodzi z klasy `Zend\Validator\File\Size`. Zamienia bajty na przybliżoną wielkość, m.in. kB, MB.

```php
function toByteString($size)
{
    $sizes = ['B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
    for ($i = 0; $size >= 1024 && $i < 9; $i++) {
        $size /= 1024;
    }
    
    return round($size, 2) . $sizes[$i];
}
```

## Example of use (view - index.phtml)
```php
<?= $this->pnConvertByteToString($file['size']); ?>
```


